unit frmAddFiles_U;
// This file is part of Sarah Dean's Code Co-op Shell Extension.
//
//  "Sarah Dean's Code Co-op Shell Extension" is free software; you can
// redistribute it and/or modify it under the terms of the GNU General
// Public License as published by the Free Software Foundation; either
// version 2 of the License, or at your option) any later version.
//
//  "Sarah Dean's Code Co-op Shell Extension" is distributed in the hope
// that it will be useful, but WITHOUT ANY WARRANTY; without even the
// implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
// See the GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with "Sarah Dean's Code Co-op Shell Extension"; if not, write to
// the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston,
// MA  02111-1307  USA



interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ComCtrls;

type
  TfrmAddFiles = class(TForm)
    Label1: TLabel;
    pbOK: TButton;
    pbCancel: TButton;
    ckCheckinAfterAdd: TCheckBox;
    reFiles: TRichEdit;
    gbItemsType: TGroupBox;
    rbHeader: TRadioButton;
    Label3: TLabel;
    Label2: TLabel;
    rbSource: TRadioButton;
    rbText: TRadioButton;
    rbBinary: TRadioButton;
    ckRecurseSubdirs: TCheckBox;
    procedure pbOKClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private

  public
    { Public declarations }
  end;

implementation

{$R *.DFM}

uses
  FileCtrl,
  AppGlobalConsts_U;

procedure TfrmAddFiles.FormShow(Sender: TObject);
var
  i: integer;
begin
  self.Caption := APP_TITLE +': '+self.Caption;

  ckRecurseSubdirs.Enabled := FALSE;
  ckRecurseSubdirs.checked := FALSE;
  for i:=0 to (reFiles.lines.count-1) do
    begin
    if DirectoryExists(reFiles.lines[i]) then
      begin
      ckRecurseSubdirs.Enabled := TRUE;
      ckRecurseSubdirs.checked := TRUE;
      end;
    end;

end;

procedure TfrmAddFiles.pbOKClick(Sender: TObject);
begin
  if not(
         rbHeader.checked or
         rbSource.checked or
         rbText.checked or
         rbBinary.checked
        ) then
    begin
    MessageDlg('Please select the type of items being added.', mtError, [mbOK], 0);
    end
  else
    begin
    if ckRecurseSubdirs.checked then
      begin
      if (MessageDlg(
                     'You are attempting to carry out a recursive add.'+CRLF+
                     CRLF+
                     'Are you sure that all of the files, including those in'+CRLF+
                     'subdirectories, are of the type specified?',
                     mtConfirmation,
                     [mbYes, mbNo],
                     0
                    ) = mrYes) then
        begin
        ModalResult := mrOK;
        end;

      end
    else
      begin
      ModalResult := mrOK;
      end;

    end;

end;


procedure TfrmAddFiles.FormCreate(Sender: TObject);
begin
  reFiles.Lines.Clear();

end;

END.


