unit frmCheckin_U;
// This file is part of Sarah Dean's Code Co-op Shell Extension.
//
//  "Sarah Dean's Code Co-op Shell Extension" is free software; you can
// redistribute it and/or modify it under the terms of the GNU General
// Public License as published by the Free Software Foundation; either
// version 2 of the License, or at your option) any later version.
//
//  "Sarah Dean's Code Co-op Shell Extension" is distributed in the hope
// that it will be useful, but WITHOUT ANY WARRANTY; without even the
// implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
// See the GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with "Sarah Dean's Code Co-op Shell Extension"; if not, write to
// the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston,
// MA  02111-1307  USA



interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ComCtrls;

type
  TfrmCheckin = class(TForm)
    reComments: TRichEdit;
    pbOK: TButton;
    pbCancel: TButton;
    ckKeepCheckedOut: TCheckBox;
    reFiles: TRichEdit;
    Label1: TLabel;
    Label2: TLabel;
    ckRecurseSubdirs: TCheckBox;
    procedure FormShow(Sender: TObject);
    procedure pbOKClick(Sender: TObject);
    procedure reCommentsChange(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private

  public
    { Public declarations }
  end;

implementation

{$R *.DFM}

uses
  FileCtrl,
  AppGlobalConsts_U;

procedure TfrmCheckin.FormShow(Sender: TObject);
var
  i: integer;
begin
  self.Caption := APP_TITLE +': '+self.Caption;

  ckRecurseSubdirs.Enabled := FALSE;
  ckRecurseSubdirs.checked := FALSE;
  for i:=0 to (reFiles.lines.count-1) do
    begin
    if DirectoryExists(reFiles.lines[i]) then
      begin
      ckRecurseSubdirs.Enabled := TRUE;
      ckRecurseSubdirs.checked := TRUE;
      end;
    end;

end;

procedure TfrmCheckin.pbOKClick(Sender: TObject);
begin
  if (pos('"', reComments.text)>0) then
    begin
    MessageDlg(
               'Your checkin comment cannot have any'+CRLF+
               'double quote (") characters in it.'+CRLF+
               CRLF+
               'You may wish to rewrite your comment'+CRLF+
               'using single quotes.',
               mtError,
               [mbOK],
               0
               );
    end
  else
    begin
    ModalResult := mrOK;
    end;

end;

procedure TfrmCheckin.reCommentsChange(Sender: TObject);
begin
  pbOK.Enabled := (reComments.Text <> '');
  
end;

procedure TfrmCheckin.FormCreate(Sender: TObject);
begin
  reFiles.Lines.Clear();
  reComments.Lines.Clear();

end;

END.


